MPT_DO_UPLOAD(9)

NAME
mpt_do_upload - Construct and Send FWUpload request to MPT adapter port.

SYNOPSIS

int mpt_do_upload(MPT_ADAPTER * ioc, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

sleepFlag
    Specifies whether the process can sleep

DESCRIPTION

Returns 0 for success, >0 for handshake failure <0 for fw upload failure.

REMARK

If bound IOC and a successful FWUpload was performed on the bound IOC, the second image is discarded and memory is free'd. Both channels must upload to prevent IOC from running in degraded mode.

COPYRIGHT